Subject: Re: "man socket" is not working.
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Fri, 24 Sep 2004 19:45:34 -0700

"news.gosonic.com" wrote:
> 
> Hi,
> 
> I have /usr/include/sys/socket.h . But I need the manuals! help!!
> 
> my manpath is:
> 
> /usr/man:/usr/share/man:/usr/X11R6/man:/usr/ssl/man:/usr/X11R6/share/man

You can try "info libc" but in general Cygwin does not have extensive
documentation for its libraries.

The way I like to handle this is to consult the other *nix manpages, as
well as the SUSv3 specification.  If you make this a habit you will tend
to write much more portable code, compared to "...but it works in Linux
so I don't see why it won't work with <foo>"

SUSv3:
<http://www.opengroup.org/onlinepubs/009695399/mindex.html> or more
specifically:
<http://www.opengroup.org/onlinepubs/009695399/functions/xsh_chap02_10.html#tag_02_10>

Linux glibc index:
<http://www.gnu.org/software/libc/manual/html_node/Library-Summary.html#Library%20Summary>

FreeBSD manpages:
http://www.freebsd.org/cgi/man.cgi

Solaris manpages:
http://docs.sun.com/db/coll/40.7

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/